Opened 14 years ago

Closed 14 years ago

Last modified 14 years ago

#304 closed defect (fixed)

tivo:// streaming and ty files audio broken

Reported by: k.c.f.maguire@… Owned by: alex@…
Priority: important Component: ao
Version: 1.0pre7 Severity: normal
Keywords: Cc:
Blocked By: Blocking:
Reproduced by developer: Analyzed by developer:

Description

I note that tivo:// URL support was added in 1.01.0pre7.
I also note that this works with 1.0pre7 and CVS.

$ mplayer tivo://tivo/list
...Using GNU internationalization
Original domain: messages
Original dirname: /usr/share/locale
Current domain: mplayer
Current dirname: /opt/mpshare/locale

MPlayer dev-CVS-050524-01:15-3.4.3 (C) 2000-2005 MPlayer Team
CPU: Advanced Micro Devices Athlon MP/XP/XP-M Barton (Family: 6, Stepping: 0)
Detected cache-line size is 64 bytes
CPUflags: MMX: 1 MMX2: 1 3DNow: 1 3DNow2: 1 SSE: 1 SSE2: 0
Compiled for x86 CPU with extensions: MMX MMX2 3DNow 3DNowEx SSE

73 audio & 180 video codecs
Linux RTC init error in ioctl (rtc_irqp_set 1024): Permission denied
Try adding "echo 1024 > /proc/sys/dev/rtc/max-user-freq" to your system startup
scripts.
Playing tivo://tivo/list.
Resolving tivo for AF_INET...
Connecting to server tivo[192.168.0.200]:8074 ...
1606016 -- 11/28/11 00:03 -- 07 -- Live
...

However playing both streaming media via

mplayer tivo://tivo/1600297

*or* trying a pre-downloaded .ty file crashes both 1.0pre7 and CVS version with

-->
TiVo? file format detected.
VIDEO: MPEG2 352x576 (aspect 2) 25.000 fps 2600.0 kbps (325.0 kbyte/s)
==========================================================================
Opening audio decoder: [pcm] Uncompressed PCM audio decoder

MPlayer interrupted by signal 11 in module: init_audio_codec

  • MPlayer crashed by bad usage of CPU/FPU/RAM. Recompile MPlayer with --enable-debug and make a 'gdb' backtrace and disassembly. Details in DOCS/HTML/en/bugreports_what.html#bugreports_crash.
  • MPlayer crashed. This shouldn't happen. It can be a bug in the MPlayer code _or_ in your drivers _or_ in your gcc version. If you think it's MPlayer's fault, please read DOCS/HTML/en/bugreports.html and follow the instructions there. We can't and won't help unless you provide this information when reporting a possible bug.

-->

The .ty file works fine with 1.0pre5.

I am using Fedors Core 3 on AMD Athlon(tm) XP 2800 CPU.

Seems the problem is in recognising the audio stream, as the output
should look like (with 1.0pre5)

-->
Playing /home/TiVo/file.ty.
TiVo? file format detected.
VIDEO: MPEG2 544x576 (aspect 2) 25.000 fps 5800.0 kbps (725.0 kbyte/s)
==========================================================================
Opening audio decoder: [mp3lib] MPEG layer-2, layer-3
MP3lib: init layer2&3 finished, tables done
AUDIO: 32000 Hz, 2 ch, 16 bit (0x10), ratio: 24000->128000 (192.0 kbit)
Selected audio codec: [mp3] afm:mp3lib (mp3lib MPEG layer-2, layer-3)
==========================================================================
vo: X11 running at 1280x1024 with depth 24 and 32 bpp (":0.0" => local display)
==========================================================================
Opening video decoder: [mpegpes] MPEG 1/2 Video passthrough
...
-->

I compiled with debug and can give a backtrace

#0 init (sh_audio=0x8752028) at ad_pcm.c:23
#1 0x080ef9c5 in init_audio_codec (sh_audio=0x8752028) at dec_audio.c:88
#2 0x080efcb6 in init_audio (sh_audio=0x8752028, codecname=0x0, afm=0x0,

status=1) at dec_audio.c:182

#3 0x080efe9c in init_best_audio_codec (sh_audio=0x8752028,

audio_codec_list=0xbfffd454, audio_fm_list=0x0) at dec_audio.c:227

#4 0x08082010 in main (argc=2, argv=0xbffff804) at mplayer.c:1968

(This is from CVS version pulled just a few minutes ago).

Kevin

Change History (3)

comment:1 Changed 14 years ago by mplayerbugzilla@…

I'm seeing the same problem, with both streams streamed from my TiVo? and the
example stream at
http://tivo-mplayer.sourceforge.net/example-stream/freshgear_cut.ty

Linux distribution:
Ubuntu Linux 5.04 (Hoary Hedgehog)

$ uname -a
Linux jumprun 2.6.10-5-386 #1 Fri May 20 13:52:48 UTC 2005 i686 GNU/Linux

$ ls -l /lib/libc[.-]*
-rw-r--r-- 1 root root 1214096 2005-03-23 14:41 /lib/libc-2.3.2.so
lrwxrwxrwx 1 root root 13 2005-05-18 16:34 /lib/libc.so.6 -> libc-2.3.2.so

$ gcc -v
Reading specs from /usr/lib/gcc-lib/i486-linux/3.3.5/specs
Configured with: ../src/configure -v
--enable-languages=c,c++,java,f77,pascal,objc,ada,treelang --prefix=/usr
--mandir=/usr/share/man --infodir=/usr/share/info
--with-gxx-include-dir=/usr/include/c++/3.3 --enable-shared --with-system-zlib
--enable-nls --without-included-gettext --enable-cxa_atexit
--enable-clocale=gnu --enable-debug --enable-java-gc=boehm
--enable-java-awt=xlib --enable-objc-gc i486-linux
Thread model: posix
gcc version 3.3.5 (Debian 1:3.3.5-8ubuntu2)

$ ld -v
GNU ld version 2.15

$ as --version
GNU assembler 2.15
Copyright 2002 Free Software Foundation, Inc.
This program is free software; you may redistribute it under the terms of
the GNU General Public License. This program has absolutely no warranty.
This assembler was configured for a target of `i386-linux'.

$ cat /proc/cpuinfo
processor : 0
vendor_id : GenuineIntel?
cpu family : 6
model : 13
model name : Intel(R) Pentium(R) M processor 1.60GHz
stepping : 6
cpu MHz : 598.669
cache size : 2048 KB
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 2
wp : yes
flags : fpu vme de pse tsc msr mce cx8 apic sep mtrr pge mca cmov pat clflush
dts acpi mmx fxsr sse sse2 ss tm pbe est tm2
bogomips : 1188.86

$ lspci -vv
0000:00:00.0 Host bridge: Intel Corp. 82852/855GM Host Bridge (rev 02)

Subsystem: Hewlett-Packard Company: Unknown device 3080
Control: I/O- Mem+ BusMaster?+ SpecCycle?- MemWINV- VGASnoop- ParErr?- Stepping-

SERR+ FastB2B-

Status: Cap+ 66MHz- UDF- FastB2B+ ParErr?- DEVSEL=fast >TAbort- <TAbort-

<MAbort+ >SERR- <PERR-

Latency: 0
Region 0: Memory at <unassigned> (32-bit, prefetchable)
Capabilities: <available only to root>

0000:00:00.1 System peripheral: Intel Corp. 855GM/GME GMCH Memory I/O Control
Registers (rev 02)

Subsystem: Hewlett-Packard Company: Unknown device 3080
Control: I/O- Mem+ BusMaster?+ SpecCycle?- MemWINV- VGASnoop- ParErr?- Stepping-

SERR- FastB2B-

Status: Cap- 66MHz- UDF- FastB2B+ ParErr?- DEVSEL=fast >TAbort- <TAbort-

<MAbort- >SERR- <PERR-

Latency: 0

0000:00:00.3 System peripheral: Intel Corp. 855GM/GME GMCH Configuration Process
Registers (rev 02)

Subsystem: Hewlett-Packard Company: Unknown device 3080
Control: I/O- Mem+ BusMaster?+ SpecCycle?- MemWINV- VGASnoop- ParErr?- Stepping-

SERR- FastB2B-

Status: Cap- 66MHz- UDF- FastB2B+ ParErr?- DEVSEL=fast >TAbort- <TAbort-

<MAbort- >SERR- <PERR-

Latency: 0

0000:00:02.0 VGA compatible controller: Intel Corp. 82852/855GM Integrated
Graphics Device (rev 02) (prog-if 00 [VGA])

Subsystem: Hewlett-Packard Company: Unknown device 3080
Control: I/O+ Mem+ BusMaster?+ SpecCycle?- MemWINV- VGASnoop- ParErr?- Stepping-

SERR- FastB2B-

Status: Cap+ 66MHz- UDF- FastB2B+ ParErr?- DEVSEL=fast >TAbort- <TAbort-

<MAbort- >SERR- <PERR-

Latency: 0
Interrupt: pin A routed to IRQ 10
Region 0: Memory at e8000000 (32-bit, prefetchable) [size=128M]
Region 1: Memory at e0000000 (32-bit, non-prefetchable) [size=512K]
Region 2: I/O ports at 1800 [size=8]
Capabilities: <available only to root>

0000:00:02.1 Display controller: Intel Corp. 82852/855GM Integrated Graphics
Device (rev 02)

Subsystem: Hewlett-Packard Company: Unknown device 3080
Control: I/O+ Mem+ BusMaster?+ SpecCycle?- MemWINV- VGASnoop- ParErr?- Stepping-

SERR- FastB2B-

Status: Cap+ 66MHz- UDF- FastB2B+ ParErr?- DEVSEL=fast >TAbort- <TAbort-

<MAbort- >SERR- <PERR-

Latency: 0
Region 0: Memory at f0000000 (32-bit, prefetchable) [size=128M]
Region 1: Memory at e0080000 (32-bit, non-prefetchable) [size=512K]
Capabilities: <available only to root>

0000:00:1d.0 USB Controller: Intel Corp. 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M)
USB UHCI Controller #1 (rev 03) (prog-if 00 [UHCI])

Subsystem: Hewlett-Packard Company: Unknown device 3080
Control: I/O+ Mem- BusMaster?+ SpecCycle?- MemWINV- VGASnoop- ParErr?- Stepping-

SERR- FastB2B-

Status: Cap- 66MHz- UDF- FastB2B+ ParErr?- DEVSEL=medium >TAbort- <TAbort-

<MAbort- >SERR- <PERR-

Latency: 0
Interrupt: pin A routed to IRQ 10
Region 4: I/O ports at 1820 [size=32]

0000:00:1d.1 USB Controller: Intel Corp. 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M)
USB UHCI Controller #2 (rev 03) (prog-if 00 [UHCI])

Subsystem: Hewlett-Packard Company: Unknown device 3080
Control: I/O+ Mem- BusMaster?+ SpecCycle?- MemWINV- VGASnoop- ParErr?- Stepping-

SERR- FastB2B-

Status: Cap- 66MHz- UDF- FastB2B+ ParErr?- DEVSEL=medium >TAbort- <TAbort-

<MAbort- >SERR- <PERR-

Latency: 0
Interrupt: pin B routed to IRQ 3
Region 4: I/O ports at 1840 [size=32]

0000:00:1d.2 USB Controller: Intel Corp. 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M)
USB UHCI Controller #3 (rev 03) (prog-if 00 [UHCI])

Subsystem: Hewlett-Packard Company: Unknown device 3080
Control: I/O+ Mem- BusMaster?+ SpecCycle?- MemWINV- VGASnoop- ParErr?- Stepping-

SERR- FastB2B-

Status: Cap- 66MHz- UDF- FastB2B+ ParErr?- DEVSEL=medium >TAbort- <TAbort-

<MAbort- >SERR- <PERR-

Latency: 0
Interrupt: pin C routed to IRQ 4
Region 4: I/O ports at 1860 [size=32]

0000:00:1d.7 USB Controller: Intel Corp. 82801DB/DBM (ICH4/ICH4-M) USB 2.0 EHCI
Controller (rev 03) (prog-if 20 [EHCI])

Subsystem: Hewlett-Packard Company: Unknown device 3080
Control: I/O- Mem+ BusMaster?+ SpecCycle?- MemWINV- VGASnoop- ParErr?- Stepping-

SERR+ FastB2B-

Status: Cap+ 66MHz- UDF- FastB2B+ ParErr?- DEVSEL=medium >TAbort- <TAbort-

<MAbort- >SERR- <PERR-

Latency: 0
Interrupt: pin D routed to IRQ 3
Region 0: Memory at e0100000 (32-bit, non-prefetchable) [size=1K]
Capabilities: <available only to root>

0000:00:1e.0 PCI bridge: Intel Corp. 82801 PCI Bridge (rev 83) (prog-if 00
[Normal decode])

Control: I/O+ Mem+ BusMaster?+ SpecCycle?- MemWINV- VGASnoop- ParErr?- Stepping-

SERR+ FastB2B-

Status: Cap- 66MHz- UDF- FastB2B+ ParErr?- DEVSEL=fast >TAbort- <TAbort-

<MAbort- >SERR- <PERR+

Latency: 0
Bus: primary=00, secondary=02, subordinate=02, sec-latency=64
I/O behind bridge: 00003000-00003fff
Memory behind bridge: e0200000-e02fffff
BridgeCtl?: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-

0000:00:1f.0 ISA bridge: Intel Corp. 82801DBM LPC Interface Controller (rev 03)

Control: I/O+ Mem+ BusMaster?+ SpecCycle?+ MemWINV- VGASnoop- ParErr?- Stepping-

SERR- FastB2B-

Status: Cap- 66MHz- UDF- FastB2B+ ParErr?- DEVSEL=medium >TAbort- <TAbort-

<MAbort- >SERR- <PERR-

Latency: 0

0000:00:1f.1 IDE interface: Intel Corp. 82801DBM (ICH4) Ultra ATA Storage
Controller (rev 03) (prog-if 8a [Master SecP PriP])

Subsystem: Hewlett-Packard Company: Unknown device 3080
Control: I/O+ Mem+ BusMaster?+ SpecCycle?- MemWINV- VGASnoop- ParErr?- Stepping-

SERR- FastB2B-

Status: Cap- 66MHz- UDF- FastB2B+ ParErr?- DEVSEL=medium >TAbort- <TAbort-

<MAbort- >SERR- <PERR-

Latency: 0
Interrupt: pin A routed to IRQ 4
Region 0: I/O ports at <unassigned>
Region 1: I/O ports at <unassigned>
Region 2: I/O ports at <unassigned>
Region 3: I/O ports at <unassigned>
Region 4: I/O ports at 1810 [size=16]
Region 5: Memory at 20000000 (32-bit, non-prefetchable) [size=1K]

0000:00:1f.3 SMBus: Intel Corp. 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) SMBus
Controller (rev 03)

Subsystem: Hewlett-Packard Company: Unknown device 3080
Control: I/O+ Mem- BusMaster?- SpecCycle?- MemWINV- VGASnoop- ParErr?- Stepping-

SERR- FastB2B-

Status: Cap- 66MHz- UDF- FastB2B+ ParErr?- DEVSEL=medium >TAbort- <TAbort-

<MAbort- >SERR- <PERR-

Interrupt: pin B routed to IRQ 5
Region 4: I/O ports at 1880 [size=32]

0000:00:1f.5 Multimedia audio controller: Intel Corp. 82801DB/DBL/DBM
(ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 03)

Subsystem: Hewlett-Packard Company: Unknown device 3080
Control: I/O+ Mem+ BusMaster?+ SpecCycle?- MemWINV- VGASnoop- ParErr?- Stepping-

SERR- FastB2B-

Status: Cap+ 66MHz- UDF- FastB2B+ ParErr?- DEVSEL=medium >TAbort- <TAbort-

<MAbort- >SERR- <PERR-

Latency: 0
Interrupt: pin B routed to IRQ 5
Region 0: I/O ports at 1c00 [size=256]
Region 1: I/O ports at 18c0 [size=64]
Region 2: Memory at e0100c00 (32-bit, non-prefetchable) [size=512]
Region 3: Memory at e0100800 (32-bit, non-prefetchable) [size=256]
Capabilities: <available only to root>

0000:00:1f.6 Modem: Intel Corp. 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Modem
Controller (rev 03) (prog-if 00 [Generic])

Subsystem: Hewlett-Packard Company: Unknown device 3080
Control: I/O+ Mem- BusMaster?- SpecCycle?- MemWINV- VGASnoop- ParErr?- Stepping-

SERR- FastB2B-

Status: Cap+ 66MHz- UDF- FastB2B+ ParErr?- DEVSEL=medium >TAbort- <TAbort-

<MAbort- >SERR- <PERR-

Interrupt: pin B routed to IRQ 5
Region 0: I/O ports at 2400 [size=256]
Region 1: I/O ports at 2000 [size=128]
Capabilities: <available only to root>

0000:02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)

Subsystem: Hewlett-Packard Company: Unknown device 3080
Control: I/O+ Mem+ BusMaster?+ SpecCycle?- MemWINV- VGASnoop- ParErr?- Stepping-

SERR+ FastB2B-

Status: Cap+ 66MHz- UDF- FastB2B+ ParErr?- DEVSEL=medium >TAbort- <TAbort-

<MAbort- >SERR- <PERR-

Latency: 64 (8000ns min, 16000ns max)
Interrupt: pin A routed to IRQ 10
Region 0: I/O ports at 3000 [size=256]
Region 1: Memory at e0207800 (32-bit, non-prefetchable) [size=256]
Capabilities: <available only to root>

0000:02:06.0 Network controller: Intel Corp. PRO/Wireless 2200BG (rev 05)

Subsystem: Hewlett-Packard Company: Unknown device 12f5
Control: I/O- Mem+ BusMaster?+ SpecCycle?- MemWINV- VGASnoop- ParErr?- Stepping-

SERR+ FastB2B-

Status: Cap+ 66MHz- UDF- FastB2B+ ParErr?- DEVSEL=medium >TAbort- <TAbort-

<MAbort- >SERR- <PERR-

Latency: 64 (750ns min, 6000ns max), Cache Line Size: 0x08 (32 bytes)
Interrupt: pin A routed to IRQ 4
Region 0: Memory at e0206000 (32-bit, non-prefetchable) [size=4K]
Capabilities: <available only to root>

0000:02:09.0 CardBus? bridge: Texas Instruments: Unknown device 8031

Subsystem: Hewlett-Packard Company: Unknown device 3080
Control: I/O+ Mem+ BusMaster?+ SpecCycle?- MemWINV- VGASnoop- ParErr?- Stepping-

SERR- FastB2B-

Status: Cap+ 66MHz- UDF- FastB2B- ParErr?- DEVSEL=medium >TAbort- <TAbort-

<MAbort- >SERR- <PERR-

Latency: 168, Cache Line Size: 0x20 (128 bytes)
Interrupt: pin A routed to IRQ 11
Region 0: Memory at 20001000 (32-bit, non-prefetchable) [size=4K]
Bus: primary=02, secondary=03, subordinate=06, sec-latency=176
Memory window 0: 20400000-207ff000 (prefetchable)
Memory window 1: 20800000-20bff000
I/O window 0: 00004000-000040ff
I/O window 1: 00004400-000044ff
BridgeCtl?: Parity- SERR- ISA- VGA- MAbort- >Reset+ 16bInt+ PostWrite?+
16-bit legacy interface ports at 0001

0000:02:09.2 FireWire? (IEEE 1394): Texas Instruments: Unknown device 8032
(prog-if 10 [OHCI])

Subsystem: Hewlett-Packard Company: Unknown device 3080
Control: I/O- Mem+ BusMaster?+ SpecCycle?- MemWINV+ VGASnoop- ParErr?- Stepping-

SERR+ FastB2B-

Status: Cap+ 66MHz- UDF- FastB2B- ParErr?- DEVSEL=medium >TAbort- <TAbort-

<MAbort- >SERR- <PERR-

Latency: 64 (750ns min, 1000ns max), Cache Line Size: 0x08 (32 bytes)
Interrupt: pin C routed to IRQ 4
Region 0: Memory at e0207000 (32-bit, non-prefetchable) [size=2K]
Region 1: Memory at e0200000 (32-bit, non-prefetchable) [size=16K]
Capabilities: <available only to root>

0000:02:09.3 Unknown mass storage controller: Texas Instruments: Unknown device 8033

Subsystem: Hewlett-Packard Company: Unknown device 3080
Control: I/O- Mem+ BusMaster?+ SpecCycle?- MemWINV- VGASnoop- ParErr?- Stepping-

SERR+ FastB2B-

Status: Cap+ 66MHz- UDF- FastB2B- ParErr?- DEVSEL=medium >TAbort- <TAbort-

<MAbort- >SERR- <PERR-

Latency: 64 (1750ns min, 1000ns max), Cache Line Size: 0x08 (32 bytes)
Interrupt: pin A routed to IRQ 11
Region 0: Memory at e0204000 (32-bit, non-prefetchable) [size=8K]
Capabilities: <available only to root>

0000:02:09.4 0805: Texas Instruments: Unknown device 8034

Subsystem: Hewlett-Packard Company: Unknown device 3080
Control: I/O- Mem+ BusMaster?+ SpecCycle?- MemWINV- VGASnoop- ParErr?- Stepping-

SERR+ FastB2B-

Status: Cap+ 66MHz- UDF- FastB2B- ParErr?- DEVSEL=medium >TAbort- <TAbort-

<MAbort- >SERR- <PERR-

Latency: 64 (1750ns min, 1000ns max), Cache Line Size: 0x08 (32 bytes)
Interrupt: pin A routed to IRQ 11
Region 0: Memory at e0208400 (32-bit, non-prefetchable) [size=256]
Region 1: Memory at e0208000 (32-bit, non-prefetchable) [size=256]
Region 2: Memory at e0207c00 (32-bit, non-prefetchable) [size=256]
Capabilities: <available only to root>

$ gdb /usr/bin/mplayer
GNU gdb 6.3-debian
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB. Type "show warranty" for details.
This GDB was configured as "i386-linux"...(no debugging symbols found)
Using host libthread_db library "/lib/tls/i686/cmov/libthread_db.so.1".

(gdb) run -v freshgear_cut.ty
Starting program: /usr/bin/mplayer -v freshgear_cut.ty
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1214555200 (LWP 8065)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
Using GNU internationalization
Original domain: messages
Original dirname: /usr/share/locale
Current domain: mplayer
Current dirname: /usr/share/locale

MPlayer 1.0pre7-3.3.5 (C) 2000-2005 MPlayer Team
CPU: Intel (Family: 6, Stepping: 6)
Detected cache-line size is 64 bytes
CPUflags: MMX: 1 MMX2: 1 3DNow: 0 3DNow2: 0 SSE: 1 SSE2: 1
Compiled for x86 CPU with extensions: MMX MMX2 SSE SSE2

CommandLine?: '-v' 'freshgear_cut.ty'
init_freetype
get_path('font/font.desc') -> '/home/wkeller/.mplayer/font/font.desc'
font: can't open file: /home/wkeller/.mplayer/font/font.desc
font: can't open file: /usr/share/mplayer/font/font.desc
Using MMX (with tiny bit MMX2) Optimized OnScreenDisplay?
Using Linux hardware RTC timing (1024Hz).
get_path('input.conf') -> '/home/wkeller/.mplayer/input.conf'
Can't open input config file /home/wkeller/.mplayer/input.conf: No such file or
directory
Can't open input config file /etc/mplayer/input.conf: No such file or directory
Falling back on default (hardcoded) input config
get_path('freshgear_cut.ty.conf') -> '/home/wkeller/.mplayer/freshgear_cut.ty.conf'
Playing freshgear_cut.ty.
[file] File size is 10485760 bytes
STREAM: [file] freshgear_cut.ty
STREAM: Description: File
STREAM: Author: Albeu
STREAM: Comment: based on the code from ??? (probably Arpi)
Checking for YUV4MPEG2
ASF_check: not ASF guid!
Checking for Nullsoft Streaming Video
Checking for NuppelVideo?
Checking for REAL
Checking for SMJPEG
Searching demuxer type for filename freshgear_cut.ty ext: .ty
Checking for MOV
Checking for VIVO
header block 1 size: 70
AVS: avs_check_file - attempting to open file freshgear_cut.ty
AVS: File is too big, aborting...
Checking for PVA
Checking for MPEG-TS...
TRIED UP TO POSITION 74246, FOUND 47, packet_size= 0, SEEMS A TS? 0
Checking for LMLM4 Stream Format
Invalid packet in LMLM4 stream: ch=62790 size=-6
LMLM4 Stream Format not found
system stream synced at 0x132F (0)!

{PTS_err:1}

==> Found audio stream: 3
Encrypted VOB file! Read DOCS/HTML/en/dvd.html.

{PTS_err:1}
{PTS_err:2}

==> Found audio stream: 20
==> Found audio stream: 0

{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}
{ERROR5,c=0}

demux: File doesn't contain the selected audio or video stream.
ds_fill_buffer: EOF reached (stream: video)
MPEG packet stats: p100: 0 p101: 0 p1B6: 0 p12x: 4 sli: 2 a: 2 b: 0 c: 0 idr: 0
sps: 0 pps: 0 PES: 5 MP3: 421
MPEG: Missing video stream!? Contact the author, it may be a bug :(
==> Found video stream: 0
==> Found audio stream: 0
TiVo? file format detected.
Searching for sequence header... OK!
VIDEO: MPEG2 352x480 (aspect 2) 29.970 fps 1470.0 kbps (183.8 kbyte/s)
[V] filefmt:33 fourcc:0x10000002 size:352x480 fps:29.97 ftime:=0.0334
get_path('sub/') -> '/home/wkeller/.mplayer/sub/'
get_path('default.sub') -> '/home/wkeller/.mplayer/default.sub'
==========================================================================
Opening audio decoder: [pcm] Uncompressed PCM audio decoder
dec_audio: Allocating 2048 + 65536 = 67584 bytes for output buffer.

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1214555200 (LWP 8065)]
0x080deecc in mplayer_audio_read ()
(gdb) bt
#0 0x080deecc in mplayer_audio_read ()
#1 0x080dca14 in init_audio_codec ()
#2 0x080dcd27 in init_audio ()
#3 0x080dcf8f in init_best_audio_codec ()
#4 0x0807f4ac in main ()
(gdb) disass $pc-32 $pc+32
Dump of assembler code from 0x80deeac to 0x80deeec:
0x080deeac <mplayer_audio_read+1948>: rorb $0x5d,0xec89fc5d(%ebx)
0x080deeb3 <mplayer_audio_read+1955>: ret
0x080deeb4 <mplayer_audio_read+1956>: mov $0xffffffff,%eax
0x080deeb9 <mplayer_audio_read+1961>: jmp 0x80deead <mplayer_audio_read+1949>
0x080deebb <mplayer_audio_read+1963>: nop
0x080deebc <mplayer_audio_read+1964>: nop
0x080deebd <mplayer_audio_read+1965>: nop
0x080deebe <mplayer_audio_read+1966>: nop
0x080deebf <mplayer_audio_read+1967>: nop
0x080deec0 <mplayer_audio_read+1968>: push %ebp
0x080deec1 <mplayer_audio_read+1969>: mov %esp,%ebp
0x080deec3 <mplayer_audio_read+1971>: mov 0x8(%ebp),%ecx
0x080deec6 <mplayer_audio_read+1974>: mov 0x98(%ecx),%edx
0x080deecc <mplayer_audio_read+1980>: mov 0x8(%edx),%eax
0x080deecf <mplayer_audio_read+1983>: mov %eax,0x28(%ecx)
0x080deed2 <mplayer_audio_read+1986>: movzwl 0x2(%edx),%eax
0x080deed6 <mplayer_audio_read+1990>: mov %eax,0x20(%ecx)
0x080deed9 <mplayer_audio_read+1993>: mov 0x4(%edx),%eax
0x080deedc <mplayer_audio_read+1996>: movl $0x9,0x14(%ecx)
0x080deee3 <mplayer_audio_read+2003>: mov %eax,0x18(%ecx)
0x080deee6 <mplayer_audio_read+2006>: movzwl 0xe(%edx),%eax
0x080deeea <mplayer_audio_read+2010>: mov 0x8(%ecx),%edx
End of assembler dump.
(gdb) info all-registers
eax 0x8564754 139872084
ecx 0x86a4760 141182816
edx 0x0 0
ebx 0x86a4760 141182816
esp 0xbfffd518 0xbfffd518
ebp 0xbfffd518 0xbfffd518
esi 0x847efe0 138932192
edi 0x85536a4 139802276
eip 0x80deecc 0x80deecc
eflags 0x210246 2163270
cs 0x73 115
ss 0x7b 123
ds 0x7b 123
es 0x7b 123
fs 0x0 0
gs 0x33 51
st0 0 (raw 0x00000000000000000000)
st1 0 (raw 0x00000000000000000000)
st2 0 (raw 0x00000000000000000000)
st3 0 (raw 0x00000000000000000000)
st4 0 (raw 0x00000000000000000000)
st5 16896 (raw 0x400d8400000000000000)
st6 29.9699993133544921875 (raw 0x4003efc28f0000000000)
st7 0 (raw 0x00000000000000000000)
fctrl 0x37f 895
fstat 0x20 32
ftag 0xffff 65535
fiseg 0x73 115
fioff 0x807f8d6 134740182
foseg 0x7b 123
fooff 0xbfffd61c -1073752548
fop 0x5d8 1496
xmm0 {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x0, 0x0},
v16_int8 = {0x0 <repeats 16 times>}, v8_int16 = {0x0, 0x0, 0x0, 0x0, 0x0, 0x0,

0x0, 0x0}, v4_int32 = {0x0, 0x0, 0x0, 0x0}, v2_int64 = {0x0, 0x0}, uint128 =

0x00000000000000000000000000000000}
xmm1 {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x0, 0x0},
v16_int8 = {0x0 <repeats 16 times>}, v8_int16 = {0x0, 0x0, 0x0, 0x0, 0x0, 0x0,

0x0, 0x0}, v4_int32 = {0x0, 0x0, 0x0, 0x0}, v2_int64 = {0x0, 0x0}, uint128 =

0x00000000000000000000000000000000}
---Type <return> to continue, or q <return> to quit---
xmm2 {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x0, 0x0},
v16_int8 = {0x0 <repeats 16 times>}, v8_int16 = {0x0, 0x0, 0x0, 0x0, 0x0, 0x0,

0x0, 0x0}, v4_int32 = {0x0, 0x0, 0x0, 0x0}, v2_int64 = {0x0, 0x0}, uint128 =

0x00000000000000000000000000000000}
xmm3 {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x0, 0x0},
v16_int8 = {0x0 <repeats 16 times>}, v8_int16 = {0x0, 0x0, 0x0, 0x0, 0x0, 0x0,

0x0, 0x0}, v4_int32 = {0x0, 0x0, 0x0, 0x0}, v2_int64 = {0x0, 0x0}, uint128 =

0x00000000000000000000000000000000}
xmm4 {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x0, 0x0},
v16_int8 = {0x0 <repeats 16 times>}, v8_int16 = {0x0, 0x0, 0x0, 0x0, 0x0, 0x0,

0x0, 0x0}, v4_int32 = {0x0, 0x0, 0x0, 0x0}, v2_int64 = {0x0, 0x0}, uint128 =

0x00000000000000000000000000000000}
xmm5 {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x0, 0x0},
v16_int8 = {0x0 <repeats 16 times>}, v8_int16 = {0x0, 0x0, 0x0, 0x0, 0x0, 0x0,

0x0, 0x0}, v4_int32 = {0x0, 0x0, 0x0, 0x0}, v2_int64 = {0x0, 0x0}, uint128 =

0x00000000000000000000000000000000}
xmm6 {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x0, 0x0},
v16_int8 = {0x0 <repeats 16 times>}, v8_int16 = {0x0, 0x0, 0x0, 0x0, 0x0, 0x0,

0x0, 0x0}, v4_int32 = {0x0, 0x0, 0x0, 0x0}, v2_int64 = {0x0, 0x0}, uint128 =

0x00000000000000000000000000000000}
xmm7 {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x0, 0x0},
v16_int8 = {0x0 <repeats 16 times>}, v8_int16 = {0x0, 0x0, 0x0, 0x0, 0x0, 0x0,

0x0, 0x0}, v4_int32 = {0x0, 0x0, 0x0, 0x0}, v2_int64 = {0x0, 0x0}, uint128 =

0x00000000000000000000000000000000}
mxcsr 0x1f80 8064
mm0 {uint64 = 0x0, v2_int32 = {0x0, 0x0}, v4_int16 = {0x0, 0x0, 0x0,
0x0}, v8_int8 = {0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0}}
mm1 {uint64 = 0x0, v2_int32 = {0x0, 0x0}, v4_int16 = {0x0, 0x0, 0x0,
0x0}, v8_int8 = {0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0}}
mm2 {uint64 = 0x0, v2_int32 = {0x0, 0x0}, v4_int16 = {0x0, 0x0, 0x0,
0x0}, v8_int8 = {0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0}}
mm3 {uint64 = 0x0, v2_int32 = {0x0, 0x0}, v4_int16 = {0x0, 0x0, 0x0,
0x0}, v8_int8 = {0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0}}
mm4 {uint64 = 0x0, v2_int32 = {0x0, 0x0}, v4_int16 = {0x0, 0x0, 0x0,
0x0}, v8_int8 = {0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0}}
mm5 {uint64 = 0x8400000000000000, v2_int32 = {0x0, 0x84000000},
v4_int16 = {0x0, 0x0, 0x0, 0x8400}, v8_int8 = {0x0, 0x0, 0x0, 0x0, 0x0, 0x0,

0x0, 0x84}}

mm6 {uint64 = 0xefc28f0000000000, v2_int32 = {0x0, 0xefc28f00},
v4_int16 = {0x0, 0x0, 0x8f00, 0xefc2}, v8_int8 = {0x0, 0x0, 0x0, 0x0, 0x0, 0x8f,

0xc2, 0xef}}

mm7 {uint64 = 0x0, v2_int32 = {0x0, 0x0}, v4_int16 = {0x0, 0x0, 0x0,
0x0}, v8_int8 = {0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0}}
(gdb) cont
Continuing.

MPlayer interrupted by signal 11 in module: init_audio_codec

  • MPlayer crashed by bad usage of CPU/FPU/RAM. Recompile MPlayer with --enable-debug and make a 'gdb' backtrace and disassembly. Details in DOCS/HTML/en/bugreports_what.html#bugreports_crash.
  • MPlayer crashed. This shouldn't happen. It can be a bug in the MPlayer code _or_ in your drivers _or_ in your gcc version. If you think it's MPlayer's fault, please read DOCS/HTML/en/bugreports.html and follow the instructions there. We can't and won't help unless you provide this information when reporting a possible bug.

vo: x11 uninit called but X11 not inited..

Program exited with code 01.
(gdb) quit

comment:2 Changed 14 years ago by nsabbi@…

seems to have been fixed in Joey's new tivo demuxer

comment:3 Changed 14 years ago by reimar

  • Resolution set to fixed
  • Status changed from new to closed

No reply, assuming it is fixed.
REOPEN if it is not.

Note: See TracTickets for help on using tickets.